Package uk.ac.starlink.votable.datalink

## Interface ServiceParam

    public interface ServiceParam

Characterises one of the input parameters for a DataLink service descriptor. This is usually generated from a VOTable PARAM element within the service descriptor GROUP element with @name="inputParams".

Since:
  22 Nov 2017
Author:
  Mark Taylor

### Method Summary

All Methods Instance Methods Abstract Methods
`int[]` `getArraysize()` Returns the arraysize for this parameter as a numeric array.
`java.lang.String` `getDatatype()` Returns the datatype value for this parameter.
`java.lang.String` `getDescription()` Returns the description for this parameter.
`java.lang.String` `getId()` Returns the XML ID value for this parameter.
`java.lang.String[]` `getMinMax()` Returns the minimum and maximum values specified for this param.
`java.lang.String` `getName()` Returns this parameter's name.
`java.lang.String[]` `getOptions()` Returns a list of options specified for this param.
`java.lang.String` `getRef()` Returns the ref (XML REFID) value for this parameter.
`java.lang.String` `getUcd()` Returns the UCD string for this parameter.
`java.lang.String` `getUnit()` Returns the unit string for this parameter.
`java.lang.String` `getUtype()` Returns the Utype string for this parameter.
`java.lang.String` `getValue()` Returns this parameter's value as a string; if the empty string is specified for the PARAM's @value attribute, null should be returned.
`java.lang.String` `getXtype()` Returns the Xtype string for this parameter.

### Method Detail

#### getName

    java.lang.String getName()

Returns this parameter's name.

Returns:
  value of PARAM's @name attribute

#### getValue

    java.lang.String getValue()

Returns this parameter's value as a string; if the empty string is specified for the PARAM's @value attribute, null should be returned.

Returns:
  value of PARAM's @value attribute or null

#### getId

    java.lang.String getId()

Returns the XML ID value for this parameter.

Returns:
  value of PARAM's @ID attribute

#### getRef

    java.lang.String getRef()

Returns the ref (XML REFID) value for this parameter. If present, this points to a FIELD supplying per-row parameter values.

Returns:
  value of PARAM's @ref attribute

#### getDatatype

    java.lang.String getDatatype()

Returns the datatype value for this parameter.

Returns:
  value of PARAM's @datatype attribute

#### getUnit

    java.lang.String getUnit()

Returns the unit string for this parameter.

Returns:
  value of PARAM's @unit attribute

#### getUcd

    java.lang.String getUcd()

Returns the UCD string for this parameter.

Returns:
  value of PARAM's @ucd attribute

#### getUtype

    java.lang.String getUtype()

Returns the Utype string for this parameter.

Returns:
  value of PARAM's @utype attribute

#### getXtype

    java.lang.String getXtype()

Returns the Xtype string for this parameter.

Returns:
  value of PARAM's @xtype attribute

#### getDescription

    java.lang.String getDescription()

Returns the description for this parameter.

Returns:
  content of PARAM's DESCRIPTION child

#### getArraysize

    int[] getArraysize()

Returns the arraysize for this parameter as a numeric array. The final element of the array may be -1, indicating that it is of unknown extent.

Returns:
  parsed content of PARAM's @arraysize attribute

#### getMinMax

    java.lang.String[] getMinMax()

Returns the minimum and maximum values specified for this param. The result or either element may be null if not supplied.

Returns:
  2-element array giving VALUES/MIN and VALUES/MAX contents, or null if no VALUES child

#### getOptions

    java.lang.String[] getOptions()

Returns a list of options specified for this param. May be null if not supplied.

Returns:
  array giving VALUES/OPTION @value attributes, or null if no VALUES child